package jrummikub.view.impl;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;

import javax.swing.ImageIcon;

class ImageUtil {
	private ImageUtil() {
	}

	static ImageIcon createColorIcon(Color c, int size) {
		BufferedImage image = new BufferedImage(size, size,
				BufferedImage.TYPE_INT_RGB);
		Graphics2D g = image.createGraphics();

		g.setColor(Color.BLACK);
		g.fillRect(0, 0, size, size);

		g.setColor(c);
		g.fillRect(1, 1, size - 2, size - 2);

		return new ImageIcon(image);
	}
}
